# Uses of Class
javax.swing.ActionMap

Packages that use ActionMap
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

- ## Uses of ActionMap in javax.swing

  Methods in javax.swing that return ActionMap
  Modifier and Type
  Method
  Description
  `final ActionMap`
  JComponent.`getActionMap()`
  Returns the `ActionMap` used to determine what `Action` to fire for particular `KeyStroke` binding.
  `ActionMap`
  ActionMap.`getParent()`
  Returns this `ActionMap`'s parent.
  `static ActionMap`
  SwingUtilities.`getUIActionMap(JComponent component)`
  Returns the ActionMap provided by the UI in component `component`.
  Methods in javax.swing with parameters of type ActionMap
  Modifier and Type
  Method
  Description
  `static void`
  SwingUtilities.`replaceUIActionMap(JComponent component, ActionMap uiActionMap)`
  Convenience method to change the UI ActionMap for `component` to `uiActionMap`.
  `final void`
  JComponent.`setActionMap(ActionMap am)`
  Sets the `ActionMap` to `am`.
  `void`
  ActionMap.`setParent(ActionMap map)`
  Sets this `ActionMap`'s parent.

- ## Uses of ActionMap in javax.swing.plaf

  Subclasses of ActionMap in javax.swing.plaf
  Modifier and Type
  Class
  Description
  `class`
  `ActionMapUIResource`
  A subclass of javax.swing.ActionMap that implements UIResource.

- ## Uses of ActionMap in javax.swing.plaf.basic

  Methods in javax.swing.plaf.basic that return ActionMap
  Modifier and Type
  Method
  Description
  `protected ActionMap`
  BasicLookAndFeel.`getAudioActionMap()`
  Returns an `ActionMap` containing the audio actions for this look and feel.

- ## Uses of ActionMap in javax.swing.plaf.metal

  Methods in javax.swing.plaf.metal that return ActionMap
  Modifier and Type
  Method
  Description
  `protected ActionMap`
  MetalFileChooserUI.`createActionMap()`
  Constructs an instance of `ActionMap`.
  `protected ActionMap`
  MetalFileChooserUI.`getActionMap()`
  Returns an instance of `ActionMap`.